"use strict";

var _wp = wp,
  apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_shoppeRedirectToKitPage = function gutenify_shoppeRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_shoppe.gutenify_kit_gallery);
    // }
  };

  // Activate Gutenify.
  $(document).on('click', '.gutenify-shoppe-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-shoppe-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_shoppeRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_shoppeRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-shoppe-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-shoppe-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_shoppeRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_shoppeRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-shoppe-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_shoppe_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_shoppe_hide_theme_info_noticebar&gutenify_shoppe-nonce-name=".concat(window.gutenify_shoppe.gutenify_shoppe_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});